List my orders
curl --request GET \
--url https://api.unitedmarket.ai/me/orders \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.unitedmarket.ai/me/orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.unitedmarket.ai/me/orders"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"orders": [
{
"orderHash": "<string>",
"account": "<string>",
"conditionId": "<string>",
"tokenId": "<string>",
"status": "open"
}
]
}{
"message": "<string>",
"error": "Unauthorized",
"statusCode": 401
}{
"message": "Invalid API Key provided",
"error": "Unauthorized",
"statusCode": 401
}Orders
List my orders
Returns the authenticated user’s orders (resting and filled). The account is taken from the SIWE session — do not pass account. Unlike public GET /orders?conditionId=…, this includes open quotes. Strict pagination: invalid limit / offset return 400 (max limit 200).
GET
https://api.unitedmarket.ai
/
me
/
orders
List my orders
curl --request GET \
--url https://api.unitedmarket.ai/me/orders \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.unitedmarket.ai/me/orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.unitedmarket.ai/me/orders"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"orders": [
{
"orderHash": "<string>",
"account": "<string>",
"conditionId": "<string>",
"tokenId": "<string>",
"status": "open"
}
]
}{
"message": "<string>",
"error": "Unauthorized",
"statusCode": 401
}{
"message": "Invalid API Key provided",
"error": "Unauthorized",
"statusCode": 401
}Authorizations
SIWE access token returned by POST /auth/verify.
Query Parameters
Page size. Invalid values return 400 (not clamped).
Required range:
1 <= x <= 200Number of items to skip. Invalid values return 400.
Required range:
0 <= x <= 100000Response
Orders returned.
Show child attributes
Show child attributes
